/* Import the google web fonts you want to use */


@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono:wght@600&display=swap');

/* Card Based Layout - Base styles */

body {
	background: hsl(0, 0%, 90%);
}

/*--------------------------------------------------------------
Typography
--------------------------------------------------------------*/
body,
button,
input,
select,
textarea {
	color: #404040;
	font-family: 'JetBrains Mono', monospace;
	font-size: 18px;
	line-height: 1.5;
}

#headerTitle {
    font-family: 'JetBrains Mono', monospace;
    font-size: 40px;
    margin-top: 5px;
    margin-left: 10px;
    margin-bottom: 5px;
}

h2 {
	clear: both;
    font-family: 'JetBrains Mono', monospace;
    letter-spacing: 2px;
}

h2 {
  font-size: 18px;
  color: #007489;
}

p {
	margin-bottom: 8px;
    color: #898989;
}

.masthead {
	background-color: #005b75;
}

.flip-card {
  margin-top: 15px;
  background-color: transparent;
  width: 300px;
  height: 300px;
  perspective: 1000px;
  flex: 0 1 24%;
}

.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.6s;
  transform-style: preserve-3d;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
}

.flip-card:hover .flip-card-inner {
  transform: rotateY(180deg);
}

.flip-card-front, .flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.flip-card-front {
  background-color: white;
  color: black;
}

.flip-card-front h2 {
    margin-bottom: 40px;
    margin-top: 110px;
}

.flip-card-back h2 {
    margin-top: 50px;
}

.flip-card-back {
  background-color: black;
  color: white;
  transform: rotateY(180deg);
}

/* Flexbox stuff */

.cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    width: 100%;
}


